import Vue from 'vue';
import Vuex from 'vuex';

Vue.use(Vuex);

export default new Vuex.Store({
  state: {
    msg: "Hello Vue...Bitches",
    safelyStoredNumber: 0
  },
  getters: {
    msg: state => state.msg,
    safelyStoredNumber: state => state.safelyStoredNumber,
    storedNumberMatches(state) {
      return matchNumber => {
        return state.safelyStoredNumber === matchNumber;
      }
    }
  },
  mutations: {
    incrementStoredNumber(state) {
      state.safelyStoredNumber++
    },
    setStoredNumber(state, newNumber) {
      // newNumber is the payload passed in
      state.safelyStoredNumber = newNumber
    }
  },
  actions: {

  },
});
